﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="PostBackTriggerTest.aspx.vb" Inherits="PostBackTriggerTest" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Telerik ASP.NET Example</title>
    <style type="text/css">
        /** Customize the demo canvas */
        #example .demo-container {
            padding: 28px 0;
            width: 882px;
            height: 330px;
            background: transparent url("Images/background.png") top left no-repeat;
            position: relative;
        }

            #example .demo-container h2 {
                margin: 0 -30px 15px;
                padding: 25px 30px 0;
                color: #ffffff;
                background: #4ba2d1;
                font-size: 36px;
                line-height: 1;
            }

        .demo-container h2 sup {
            font-size: 14px;
            line-height: 1;
        }

        .demo-container .qsf-fb {
            padding: 30px;
            width: 327px;
            overflow: hidden;
        }
 
            .demo-container .qsf-fb ul {
                margin: 0;
                padding: 0;
                list-style-type: none;
            }

            .demo-container .qsf-fb label {
                width: auto;
                display: block;
            }
 
            .demo-container .qsf-fb .buttons {
                margin-top: 13px;
            }

        .demo-container .preview {
            width: 495px;
            height: 331px;
            position: absolute;
            top: 28px;
            left: 387px;
        }
 
        /* Customize uploaded file name */
        html .RadUpload .ruUploadProgress {
            display: inline-block;
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            vertical-align: top;
        }
 
        html div.photo-upload {
            font-size: 12px;
        }
    </style>
</head>
 
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />
        <telerik:RadFormDecorator ID="RadFormDecorator1" RenderMode="Lightweight" runat="server" DecoratedControls="Buttons, TextBox" />
 
        <div class="demo-container no-bg">
            <div class="qsf-demo-canvas" id="qsfexWrapper">
                <div class="qsf-fb">
                    <h2>Dream Holiday <sup>Contest</sup></h2>
                    <ul>
                        <li>
                            <label>Upload a photo of your dream holiday:</label>
                            <telerik:RadAsyncUpload RenderMode="Lightweight" CssClass="photo-upload" runat="server" ID="RadAsyncUpload1" OnClientFileUploaded="onClientFileUploaded" PostbackTriggers="RadButton1"
                                MaxFileInputsCount="1" AllowedFileExtensions=".jpg" Skin="Outlook" />
                        </li>
                    </ul>
 
                    <p class="buttons">
                        <telerik:RadButton runat="server" ID="RadButton1"  Text="Submit your picture and information"
                             OnClientClicked="updatePictureAndInfo" AutoPostBack="false" />
                    </p>
                </div>
 
                <telerik:RadBinaryImage runat="server" ID="RadBinaryImage1" ImageUrl="images/blank.png"
                    Width="495" Height="331" ResizeMode="Fit" AlternateText="No picture available"
                    CssClass="preview"></telerik:RadBinaryImage>
            </div>
            <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
                <script type="text/javascript">
                    //<![CDATA[
                    Sys.Application.add_load(function () {
                        window.upload = $(".RadAsyncUpload");
                        window.button = $find("<%=RadButton1.ClientID%>");
                        demo.initialize();
                    });


                    //]]>
                </script>
            </telerik:RadScriptBlock>
            <script type="text/javascript">

                (function () {
                    var $;
                    var upload;
                    var button;
                    var demo = window.demo = window.demo || {};

                    demo.initialize = function () {
                        $ = $telerik.$;
                        button = window.button;
                        upload = window.upload;
                    };

                    window.onClientFileUploaded = function (sender, args) {
                        button.set_enabled(true);
                    };

                  
                    window.updatePictureAndInfo = function () {
                        var uploadedRows = upload.find(".ruUploadSuccess");
                        if (uploadedRows.length > 0) {
                            alert('postback');
                            __doPostBack('RadButton1', 'RadButton1Args');
                        }
                        else {
                            alert("Please select a picture/country");
                        }
                    };
                })();
            </script>
        </div>
 
    </form>
</body>
</html>
