﻿Imports System
Imports System.Drawing
Partial Class PostBackTriggerTest
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load

        If (Not IsPostBack) Then
            RadButton1.Enabled = False
        Else
            RadButton1.Enabled = True
        End If

    End Sub

    Protected Sub FileUploaded() Handles RadAsyncUpload1.FileUploaded

        Dim bitmapImage As Bitmap = ResizeImage(RadAsyncUpload1.UploadedFiles(0).InputStream)
        Dim stream As System.IO.MemoryStream = New System.IO.MemoryStream()
              bitmapImage.Save(stream, System.Drawing.Imaging.ImageFormat.Bmp)
              RadBinaryImage1.DataValue = stream.ToArray()

    End Sub

    Protected Sub RadButton1_Click() Handles RadButton1.Click

    End Sub

    Public Function ResizeImage(ByVal stream As IO.Stream) As Bitmap
        Dim originalImage As System.Drawing.Image = Bitmap.FromStream(stream)

        Dim height As Integer = 331
        Dim width As Integer = 495

        Dim scaledImage As New Bitmap(width, height)

        Using g As Graphics = Graphics.FromImage(scaledImage)
                  g.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.HighQualityBicubic
                  g.DrawImage(originalImage, 0, 0, width, height)
                  Return scaledImage
        End Using

    End Function
End Class
